Bug 216029 - xm unpause domain give a BUG: soft lockup detected on CPU#0!
Summary: xm unpause domain give a BUG: soft lockup detected on CPU#0!
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel-xen (Show other bugs)
(Show other bugs)
Version: 6
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Xen Maintainance List
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-11-16 20:21 UTC by Itamar Reis Peixoto
Modified: 2009-12-14 20:40 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-26 23:43:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fix for the problem (2.72 KB, patch)
2006-11-24 14:09 UTC, Glauber Costa
no flags Details | Diff

Description Itamar Reis Peixoto 2006-11-16 20:21:47 UTC
Description of problem:

pause a domain (xm pause)

wait 5 seconds or more.

unpause the domain (xm unpause)


BUG: soft lockup detected on CPU#0!
 [<c040571a>] dump_trace+0x69/0x1af
 [<c0405878>] show_trace_log_lvl+0x18/0x2c
 [<c0405e18>] show_trace+0xf/0x11
 [<c0405e47>] dump_stack+0x15/0x17
 [<c0441935>] softlockup_tick+0xad/0xc4
 [<c0409290>] timer_interrupt+0x54b/0x593
 [<c0441bba>] handle_IRQ_event+0x27/0x51
 [<c0441c7a>] __do_IRQ+0x96/0xf2
 [<c0406ca8>] do_IRQ+0x9e/0xbc
 =======================


Version-Release number of selected component (if applicable):

xen-libs-3.0.3-0.1.rc3
kernel-xen-2.6.18-1.2784.fc6
xen-3.0.3-0.1.rc3

Comment 1 Glauber Costa 2006-11-24 14:09:46 UTC
Created attachment 142066 [details]
fix for the problem

Sent upstream. Hopefully included soon.

Comment 2 Rik van Riel 2007-03-27 16:01:31 UTC
Glauber, did your fix get accepted upstream?

Is it in our RHEL and Fedora packages?

Comment 3 Glauber Costa 2007-03-28 16:13:52 UTC
Yes rik, this was accepted upstream, although with some little changes. It is in
our RHEL tree. As it went upstream sometime ago, it might have made into fedora
through the rebases.

Comment 4 Red Hat Bugzilla 2007-07-25 01:36:09 UTC
change QA contact

Comment 5 Chris Lalancette 2008-02-26 23:43:32 UTC
This report targets FC6, which is now end-of-life.

Please re-test against Fedora 7 or later, and if the issue persists, open a new bug.

Thanks



Note You need to log in before you can comment on or make changes to this bug.